{
  packageOverrides = pkgs: with pkgs; rec {
    #  export PATH=$HOME/.nix-profile/bin:/nix/var/nix/profiles/default/bin:/sbin:/bin:/usr/sbin:/usr/bin
    #  export MANPATH=$HOME/.nix-profile/share/man:/nix/var/nix/profiles/default/share/man:/usr/share/man
    #'';
    work = pkgs.buildEnv {
      name = "workpackages";
      paths = [
        basePackages
        adminPackages
      ];
      pathsToLink = [ "/share/man" "/share/doc" "/bin" "/etc" ];
      extraOutputsToInstall = [ "man" "doc" ];
    };
    adminPackages = pkgs.buildEnv {
      name = "adminPackages";
      paths = [
        awscli2
        byobu
        cmake
        cdrkit
        envdir
        figlet
        httpie
        jq
        libvirt
        llvm
        mosh
        mutt
        nmap
        openssl
        pv
        rsync
        runit
        terraform_0_13
        tmux
        wget
        xz
      ];
      pathsToLink = [ "/share/man" "/share/doc" "/bin" "/etc" ];
      extraOutputsToInstall = [ "man" "doc" ];
    };
    basePackages = pkgs.buildEnv {
      name = "my-packages";
      paths = [
        adminPackages
        aria2
        byobu
        cmus
        coreutils-prefixed
        envdir
        ffmpeg
        gnupg
        go
        httpie
        jq
        neofetch
        neovim
        nmap
        nodejs
        openssl
        par2cmdline
        pv
        pwgen
        rsync
        runit
        tmux
        tor
        vim
        vimpager
        weechat
        wget
        xz
        yarn
        zsh
      ];
      pathsToLink = [ "/share/man" "/share/doc" "/bin" "/etc" ];
      extraOutputsToInstall = [ "man" "doc" ];
    };
  };
}

